Bug 456796 - Request to package ocaml-mikmatch (was ocaml-micmatch)
Request to package ocaml-mikmatch (was ocaml-micmatch)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ocaml (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
http://martin.jambon.free.fr/micmatch...
:
Depends On: 456953
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-27 06:09 EDT by Richard W.M. Jones
Modified: 2008-10-21 04:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-21 04:44:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ocaml-mikmatch.spec (3.07 KB, text/plain)
2008-07-28 15:15 EDT, Richard W.M. Jones
no flags Details

  None (edit)
Description Richard W.M. Jones 2008-07-27 06:09:20 EDT
Micmatch for OCaml 3.10 has finally been released:

http://caml.inria.fr/pub/ml-archives/caml-list/2008/07/c9beb07f680deca5a2fac64336c8d3f9.en.html

We should package this for Fedora asap.
Comment 1 Richard W.M. Jones 2008-07-28 15:15:14 EDT
Created attachment 312811 [details]
ocaml-mikmatch.spec

Initial RPM spec file.

However mikmatch itself seems to contain a bug, so I get an
internal error when trying to use it.
Comment 2 Richard W.M. Jones 2008-07-28 16:57:53 EDT
I checked the apparent problem out with upstream and apparently
it's a shortcoming in camlp4, so this package won't work in the
toplevel.  However it works in normal code.

Review request filed:

https://bugzilla.redhat.com/show_bug.cgi?id=456953
Comment 3 Richard W.M. Jones 2008-10-21 04:44:07 EDT
Closing, this is now in Rawhide.

Note You need to log in before you can comment on or make changes to this bug.